package global

import (
	"DataShare/config"
	"database/sql"
	"github.com/go-playground/validator/v10"
	"github.com/go-redis/redis/v7"
	"github.com/sirupsen/logrus"
)

type DbInfo struct{
	SqlType        string
	DbHandle       *sql.DB
	ConnInfo       string
	Status         bool
	DbName         string
	Id             int
}


var (
	SystemConfig  *config.Server
	SystemLogger *logrus.Logger
	RedisClient  *redis.Client
	DataValidator *validator.Validate
	Databases     []DbInfo
	RedisDataShare      string

)