package model

type Access_DesensitizationRule struct{
	RegStr    string  `json:"reqStr"`
	FillStr   string  `json:"fillStr"`
}

type Access_Data_Colnums struct{
	DesensitizationRule    *Access_DesensitizationRule   `json:"desensitizationRule"`
	IsRequired   *int   `json:"isRequired"`
	IsSearchable    *int   `json:"isSearchable"`
	Name     string   `json:"name"`
	Type     string   `json:"type"`
	FilterOperator     *string   `json:"filterOperator"`//0-等于 1-大于 2-小于
	FilterValue     *string   `json:"filterValue"`
}

type Access_Data_ResData struct {
	DbId   int   `json:"dbId"`
	TbName  string   `json:"tbName"`
	Colnums   []Access_Data_Colnums   `json:"colnums"`
}
//access data desc
type Access_Data_Struct struct{
	AccessId    string `json:"accessId"`
	DayLimit    int   `json:"dayLimit"`
	Format      string  `json:"format"`
	IsSubscribe  int   `json:"isSubscribe"`
	ResName   string  `json:"resName"`
	ResType   string   `json:"resType"`
	SubscribeUrl   string `json:"subscribeUrl"`
	ResData    Access_Data_ResData   `json:"resData"`
}

//access service desc
type Access_Service_Params struct{
	DesensitizationRule    *Access_DesensitizationRule   `json:"desensitizationRule"`
	IsRequired   *int   `json:"isRequired"`
	DataType     string   `json:"dataType"`
	Remark    string  `json:"remark"`
	ParamType   string  `json:"paramType"`
	ParamName   string   `json:"paramName"`
}

type Access_Service_ResData struct {
	AuthWay   string   `json:"authWay"`
	NeedAuth   int   `json:"needAuth"`

	FixParams *string  `json:"fixParams"`

	ParamForm   string  `json:"paramForm"`

	Params   []Access_Service_Params   `json:"params"`
	RequestMethod   string   `json:"requestMethod"`
	ResponseForm   string   `json:"responseForm"`
	ServiceUrl      string  `json:"serviceUrl"`
}

type Access_Service_Struct struct{
	AccessId    string `json:"accessId"`
	DayLimit    int   `json:"dayLimit"`
	Format      string  `json:"format"`
	ResName   string  `json:"resName"`
	ResType   string   `json:"resType"`
	ResData    Access_Service_ResData   `json:"resData"`
}