package model

//type DataCacheOfRedis struct {
//	Id            int `json:"id"`
//	ServiceConfig struct {
//		ServiceUrl    string `json:"serviceUrl"`
//		RequestMethod string `json:"requestMethod"`
//		ParamForm     string `json:"paramForm"`
//		AuthWay       string `json:"authWay"`
//		RequestParam  string `json:"requestParam"`
//		ColumnMap     []struct {
//			ColumnName string `json:"columnName"`
//			FieldName  string `json:"fieldName"`
//		} `json:"columnMap"`
//	} `json:"serviceConfig"`
//	DbConfig struct {
//		DbId             int    `json:"dbId"`
//		Type             string `json:"type"`
//		ConnectionString string `json:"connectionString"`
//		TbName           string `json:"tbName"`
//	} `json:"dbConfig"`
//	CacheCycle struct {
//		Unit  string `json:"unit"`
//		Value int    `json:"value"`
//	} `json:"cacheCycle"`
//	Mode          string `json:"mode"`
//	AddField      string `json:"addField"`
//	PageField     string `json:"pageField"`
//	PageSizeField string `json:"pageSizeField"`
//	SearchField   string `json:"searchField"`
//}

//数据缓存
type CacheColumnMap struct{
	ColumnName    string `json:"columnName"`
	FieldName     string  `json:"fieldName"`
}
type CacheServiceConfig struct{
	ServiceUrl   string   	`json:"serviceUrl"`
	RequestMethod   string   `json:"requestMethod"`
	ParamForm       string   `json:"paramForm"`
	AuthWay         string   `json:"authWay"`
	RequestParam    string   `json:"requestParam"`
	ColumnMap     []CacheColumnMap   `json:"columnMap"`
}
type CacheDbConfig struct{
	DbId    int    `json:"dbId"`
	DbType   string   `json:"type"`
	ConnectionString    string   `json:"connectionString"`
	TbName      string   `json:"tbName"`
}
type CacheCycleConfig struct{
	Unit   	string   `json:"unit"`
	Value   string      `json:"value"`
}
type DataCacheOfRedis struct{
	Id    int   `json:"id"`
	ServiceConfig           CacheServiceConfig  `json:"serviceConfig"`  //接口服务信息
	DbConfig CacheDbConfig 	`json:"dbConfig"`  //缓存数据表连接信息
	CacheCycle              CacheCycleConfig   `json:"cacheCycle"`       //定时存储规则
	Mode    string   `json:"mode"`  //同步方式 add-增量 full-全量
	AddField   string   `json:"addField"`
	PageField     string `json:"pageField"`
	PageSizeField string `json:"pageSizeField"`
	SearchField   string `json:"searchField"`
}
