package com.ruoyi.web.controller.dxp.system.base;

import com.ruoyi.common.annotation.Anonymous;
import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.dxp.utils.ServiceUtils;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("/system/base/license")
public class LicenseController  extends BaseController {

    @Anonymous
    @GetMapping("/getLicense")
    public AjaxResult getLicense() {
        return success(ServiceUtils.getLicenseInfo());
    }
}
