package com.ruoyi.dxp.constant;

/**
 * 常量
 */
public class DxpConstants {
    /**
     * 数据类型：共享
     */
    public static final String DATA_TYPE_SHARE = "share";

    /**
     * 数据类型：整合
     */
    public static final String DATA_TYPE_INTEGRATION = "integration";

    /**
     * 资源类型：数据
     */
    public static final String RESOURCE_TYPE_DATA = "data";

    /**
     * 资源类型：服务
     */
    public static final String RESOURCE_TYPE_SERVICE = "service";

    /**
     * 资源类型：文献
     */
    public static final String RESOURCE_TYPE_LITERATURE = "literature";

    /**
     * 参数类型：入参
     */
    public static final String PARAM_TYPE_IN = "in";

    /**
     * 参数类型：出参
     */
    public static final String PARAM_TYPE_OUT = "out";

    /**
     * 状态：有效
     */
    public static final String STATUS_VALID = "1";

    /**
     * 状态：待审核
     */
    public static final String STATUS_WAIT_APPROVED = "0";

    /**
     * 状态：未审核
     */
    public static final String STATUS_REJECT = "2";

    /**
     * 用户类型：内部用户
     */
    public static final String USER_TYPE_ADMIN = "00";

    /**
     * 用户类型：企业用户
     */
    public static final String USER_TYPE_COMPANY = "01";

    /**
     * 是否：是
     */
    public static final String YES = "Y";

    /**
     * 是否：否
     */
    public static final  String NO = "N";
}
