package com.ruoyi.dxp.constant;

/**
 * 同步状态常量
 */
public class DxpSyncStatusConstants {
    /**
     * 待同步
     */
    public static final String WAIT_SYNC = "0";

    /**
     * 同步完成
     */
    public static final String SYNC_COMPLETE = "1";

    /**
     * 有新的变化
     */
    public static final String HAS_CHANGED = "2";

    /**
     * 同步失败
     */
    public static final String SYNC_FAIL = "9";

    /**
     * 有新的更新
     */
    public static final String HAS_NEW_UPDATE = "1";

    /**
     * 没有新的更新
     */
    public static final String NONE_NEW_UPDATE = "0";
}
