package com.ruoyi.dxp.service.impl;

import com.ruoyi.dxp.dto.customer.SearchParam;
import com.ruoyi.dxp.dto.customer.SearchResultDto;
import com.ruoyi.dxp.mapper.SearchMapper;
import com.ruoyi.dxp.service.ISearchService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class SearchServiceImpl implements ISearchService {

    @Autowired
    private SearchMapper searchMapper;

    /**
     * 搜索
     *
     * @param param
     * @return
     */
    @Override
    public List<SearchResultDto> selectList(SearchParam param) {
        return searchMapper.selectList(param);
    }
}
